{"openapi":"3.1.1","info":{"title":"Registrations","version":"2025-05-01","description":"Our Registrations app lets your congregation register and pay for classes, camps, and other events.","termsOfService":"https://planningcenter.com/terms","contact":{"name":"Planning Center","url":"https://www.planningcenter.com","email":"support@planningcenter.com"},"x-pco-api-version":"15.2.0"},"externalDocs":{"description":"Planning Center developer documentation","url":"https://planningcenter.com/developers"},"servers":[{"url":"https://api.planningcenteronline.com/registrations/v2"}],"security":[{"oauth2":["registrations"]},{"personal_access_token":[]}],"tags":[{"name":"Campus","description":"A `Campus` is a location belonging to an Organization.\n"},{"name":"Category","description":"A `Category` is a label used to group together and find signups more easily.\n"},{"name":"Signup","description":"A `Signup` is an organization signup that people can register for.\n"}],"paths":{"/campuses":{"summary":"Campus","description":"A `Campus` is a location belonging to an Organization.\n","get":{"tags":["Campus"],"parameters":[{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_campuses_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/campuses/{campus_id}":{"summary":"Campus","description":"A `Campus` is a location belonging to an Organization.\n","get":{"tags":["Campus"],"parameters":[{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"$ref":"#/components/parameters/campus_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_campuses_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/categories":{"summary":"Category","description":"A `Category` is a label used to group together and find signups more easily.\n","get":{"tags":["Category"],"parameters":[{"$ref":"#/components/parameters/category_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_categories_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/categories/{category_id}":{"summary":"Category","description":"A `Category` is a label used to group together and find signups more easily.\n","get":{"tags":["Category"],"parameters":[{"name":"category_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Category id"},{"$ref":"#/components/parameters/category_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_categories_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups":{"summary":"Signup","description":"A `Signup` is an organization signup that people can register for.\n","get":{"tags":["Signup"],"parameters":[{"$ref":"#/components/parameters/organization_signups_filter_parameter"},{"$ref":"#/components/parameters/signup_where_campuses_parameter"},{"$ref":"#/components/parameters/signup_where_categories_parameter"},{"$ref":"#/components/parameters/signup_where_id_parameter"},{"$ref":"#/components/parameters/signup_include_parameter"},{"$ref":"#/components/parameters/signup_all_fields_parameter"},{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/category_all_fields_parameter"},{"$ref":"#/components/parameters/signuplocation_all_fields_parameter"},{"$ref":"#/components/parameters/signuptime_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_signups_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}":{"summary":"Signup","description":"A `Signup` is an organization signup that people can register for.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"$ref":"#/components/parameters/signup_include_parameter"},{"$ref":"#/components/parameters/signup_all_fields_parameter"},{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/category_all_fields_parameter"},{"$ref":"#/components/parameters/signuplocation_all_fields_parameter"},{"$ref":"#/components/parameters/signuptime_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_signups_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/attendees":{"summary":"Attendee","description":"An `Attendee` is a person registered for a signup.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"$ref":"#/components/parameters/signup_attendees_filter_parameter"},{"$ref":"#/components/parameters/attendee_include_parameter"},{"$ref":"#/components/parameters/attendee_all_fields_parameter"},{"$ref":"#/components/parameters/emergencycontact_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/registration_all_fields_parameter"},{"$ref":"#/components/parameters/selectiontype_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_attendees_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/attendees/{attendee_id}":{"summary":"Attendee","description":"An `Attendee` is a person registered for a signup.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"attendee_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attendee id"},{"$ref":"#/components/parameters/attendee_include_parameter"},{"$ref":"#/components/parameters/attendee_all_fields_parameter"},{"$ref":"#/components/parameters/emergencycontact_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/registration_all_fields_parameter"},{"$ref":"#/components/parameters/selectiontype_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_attendees_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/attendees/{attendee_id}/emergency_contact":{"summary":"EmergencyContact","description":"`Emergency_Contact` is the person assigned as the emergency contact for an attendee.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"attendee_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attendee id"},{"$ref":"#/components/parameters/emergencycontact_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attendee_emergency_contact_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/attendees/{attendee_id}/emergency_contact/{emergency_contact_id}":{"summary":"EmergencyContact","description":"`Emergency_Contact` is the person assigned as the emergency contact for an attendee.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"attendee_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attendee id"},{"name":"emergency_contact_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EmergencyContact id"},{"$ref":"#/components/parameters/emergencycontact_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attendee_emergency_contact_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/attendees/{attendee_id}/person":{"summary":"Person","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"attendee_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attendee id"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attendee_person_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/attendees/{attendee_id}/person/{person_id}":{"summary":"Person","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"attendee_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attendee id"},{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attendee_person_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/attendees/{attendee_id}/registration":{"summary":"Registration","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"attendee_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attendee id"},{"$ref":"#/components/parameters/registration_include_parameter"},{"$ref":"#/components/parameters/registration_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attendee_registration_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/attendees/{attendee_id}/registration/{registration_id}":{"summary":"Registration","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"attendee_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attendee id"},{"name":"registration_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Registration id"},{"$ref":"#/components/parameters/registration_include_parameter"},{"$ref":"#/components/parameters/registration_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attendee_registration_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/attendees/{attendee_id}/selection_type":{"summary":"SelectionType","description":"`Selection_Types` are used to present the options people register for in a signup.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"attendee_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attendee id"},{"$ref":"#/components/parameters/selectiontype_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attendee_selection_type_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/attendees/{attendee_id}/selection_type/{selection_type_id}":{"summary":"SelectionType","description":"`Selection_Types` are used to present the options people register for in a signup.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"attendee_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Attendee id"},{"name":"selection_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The SelectionType id"},{"$ref":"#/components/parameters/selectiontype_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/attendee_selection_type_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/campuses":{"summary":"Campus","description":"A `Campus` is a location belonging to an Organization.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_campuses_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/campuses/{campus_id}":{"summary":"Campus","description":"A `Campus` is a location belonging to an Organization.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"$ref":"#/components/parameters/campus_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_campuses_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/categories":{"summary":"Category","description":"A `Category` is a label used to group together and find signups more easily.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"$ref":"#/components/parameters/category_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_categories_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/categories/{category_id}":{"summary":"Category","description":"A `Category` is a label used to group together and find signups more easily.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"category_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Category id"},{"$ref":"#/components/parameters/category_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_categories_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/next_signup_time":{"summary":"SignupTime","description":"`Signup_time`s are associated with a signup, which can have multiple signup times.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"$ref":"#/components/parameters/signuptime_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_next_signup_time_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/next_signup_time/{next_signup_time_id}":{"summary":"SignupTime","description":"`Signup_time`s are associated with a signup, which can have multiple signup times.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"next_signup_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The NextSignupTime id"},{"$ref":"#/components/parameters/signuptime_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_next_signup_time_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/registrations":{"summary":"Registration","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"$ref":"#/components/parameters/registration_include_parameter"},{"$ref":"#/components/parameters/registration_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_registrations_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/registrations/{registration_id}":{"summary":"Registration","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"registration_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Registration id"},{"$ref":"#/components/parameters/registration_include_parameter"},{"$ref":"#/components/parameters/registration_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_registrations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/registrations/{registration_id}/created_by":{"summary":"Person","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"registration_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Registration id"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/registration_created_by_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/registrations/{registration_id}/created_by/{created_by_id}":{"summary":"Person","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"registration_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Registration id"},{"name":"created_by_id","in":"path","schema":{"type":"string"},"required":true,"description":"The CreatedBy id"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/registration_created_by_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/registrations/{registration_id}/registrant_contact":{"summary":"Person","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"registration_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Registration id"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/registration_registrant_contact_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/registrations/{registration_id}/registrant_contact/{registrant_contact_id}":{"summary":"Person","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"registration_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Registration id"},{"name":"registrant_contact_id","in":"path","schema":{"type":"string"},"required":true,"description":"The RegistrantContact id"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/registration_registrant_contact_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/selection_types":{"summary":"SelectionType","description":"`Selection_Types` are used to present the options people register for in a signup.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"$ref":"#/components/parameters/signup_selection_types_filter_parameter"},{"$ref":"#/components/parameters/selectiontype_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_selection_types_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/selection_types/{selection_type_id}":{"summary":"SelectionType","description":"`Selection_Types` are used to present the options people register for in a signup.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"selection_type_id","in":"path","schema":{"type":"string"},"required":true,"description":"The SelectionType id"},{"$ref":"#/components/parameters/selectiontype_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_selection_types_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/signup_location":{"summary":"SignupLocation","description":"`Signup_location` is the location of a signup.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"$ref":"#/components/parameters/signuplocation_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_signup_location_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/signup_location/{signup_location_id}":{"summary":"SignupLocation","description":"`Signup_location` is the location of a signup.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"signup_location_id","in":"path","schema":{"type":"string"},"required":true,"description":"The SignupLocation id"},{"$ref":"#/components/parameters/signuplocation_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_signup_location_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/signup_times":{"summary":"SignupTime","description":"`Signup_time`s are associated with a signup, which can have multiple signup times.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"$ref":"#/components/parameters/signup_signup_times_filter_parameter"},{"$ref":"#/components/parameters/signuptime_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_parameter"},{"$ref":"#/components/parameters/pagination_per_page_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_signup_times_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/signups/{signup_id}/signup_times/{signup_time_id}":{"summary":"SignupTime","description":"`Signup_time`s are associated with a signup, which can have multiple signup times.\n","get":{"tags":["Signup"],"parameters":[{"name":"signup_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Signup id"},{"name":"signup_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The SignupTime id"},{"$ref":"#/components/parameters/signuptime_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/signup_signup_times_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}},"components":{"parameters":{"attendee_all_fields_parameter":{"name":"fields[Attendee]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/attendee_renderable_attributes_enum"},{"$ref":"#/components/schemas/attendee_relationships_and_includes_enum"}]},"uniqueItems":true},"explode":false},"attendee_only_attributes_fields_parameter":{"name":"fields[Attendee]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/attendee_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"campus_all_fields_parameter":{"name":"fields[Campus]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/campus_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"campus_only_attributes_fields_parameter":{"name":"fields[Campus]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/campus_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"category_all_fields_parameter":{"name":"fields[Category]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/category_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"category_only_attributes_fields_parameter":{"name":"fields[Category]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/category_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"emergencycontact_all_fields_parameter":{"name":"fields[EmergencyContact]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/emergencycontact_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"emergencycontact_only_attributes_fields_parameter":{"name":"fields[EmergencyContact]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/emergencycontact_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"organization_all_fields_parameter":{"name":"fields[Organization]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/organization_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"organization_only_attributes_fields_parameter":{"name":"fields[Organization]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/organization_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"person_all_fields_parameter":{"name":"fields[Person]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/person_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"person_only_attributes_fields_parameter":{"name":"fields[Person]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/person_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"registration_all_fields_parameter":{"name":"fields[Registration]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/registration_renderable_attributes_enum"},{"$ref":"#/components/schemas/registration_relationships_and_includes_enum"}]},"uniqueItems":true},"explode":false},"registration_only_attributes_fields_parameter":{"name":"fields[Registration]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/registration_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"selectiontype_all_fields_parameter":{"name":"fields[SelectionType]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/selectiontype_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"selectiontype_only_attributes_fields_parameter":{"name":"fields[SelectionType]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/selectiontype_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"signup_all_fields_parameter":{"name":"fields[Signup]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/signup_renderable_attributes_enum"},{"$ref":"#/components/schemas/signup_relationships_and_includes_enum"}]},"uniqueItems":true},"explode":false},"signup_only_attributes_fields_parameter":{"name":"fields[Signup]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/signup_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"signuplocation_all_fields_parameter":{"name":"fields[SignupLocation]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/signuplocation_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"signuplocation_only_attributes_fields_parameter":{"name":"fields[SignupLocation]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/signuplocation_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"signuptime_all_fields_parameter":{"name":"fields[SignupTime]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/signuptime_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"signuptime_only_attributes_fields_parameter":{"name":"fields[SignupTime]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/signuptime_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"organization_signups_filter_parameter":{"name":"filter","in":"query","schema":{"type":"array","items":{"type":"string","enum":["archived","unarchived"]},"uniqueItems":true},"explode":false},"signup_attendees_filter_parameter":{"name":"filter","in":"query","schema":{"type":"array","items":{"type":"string","enum":["active","waitlist","canceled"]},"uniqueItems":true},"explode":false},"signup_selection_types_filter_parameter":{"name":"filter","in":"query","schema":{"type":"array","items":{"type":"string","enum":["publicly_available"]},"uniqueItems":true},"explode":false},"signup_signup_times_filter_parameter":{"name":"filter","in":"query","schema":{"type":"array","items":{"type":"string","enum":["future","past"]},"uniqueItems":true},"explode":false},"attendee_include_parameter":{"name":"include","in":"query","schema":{"type":"array","items":{"type":"string","enum":["emergency_contact","person","registration","registration.created_by","registration.registrant_contact","selection_type"]},"uniqueItems":true},"explode":false},"registration_include_parameter":{"name":"include","in":"query","schema":{"type":"array","items":{"type":"string","enum":["created_by","registrant_contact"]},"uniqueItems":true},"explode":false},"signup_include_parameter":{"name":"include","in":"query","schema":{"type":"array","items":{"type":"string","enum":["campuses","categories","next_signup_time","signup_location","signup_times"]},"uniqueItems":true},"explode":false},"signup_where_campuses_parameter":{"name":"where[campuses]","in":"query","schema":{"type":"string"},"description":"Filter by campuses"},"signup_where_categories_parameter":{"name":"where[categories]","in":"query","schema":{"type":"string"},"description":"Filter by categories"},"signup_where_id_parameter":{"name":"where[id]","in":"query","schema":{"type":"string"},"description":"Filter by id"},"pagination_offset_parameter":{"name":"offset","in":"query","schema":{"type":"integer","minimum":0,"default":0},"description":"Pagination offset"},"pagination_per_page_parameter":{"name":"per_page","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25},"description":"Maximum number of records per page"}},"requestBodies":{"attendee_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Attendee"]}}}}}}}},"attendee_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Attendee"]}}}}}}}},"campus_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Campus"]}}}}}}}},"campus_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Campus"]}}}}}}}},"category_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Category"]}}}}}}}},"category_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Category"]}}}}}}}},"emergencycontact_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["EmergencyContact"]}}}}}}}},"emergencycontact_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["EmergencyContact"]}}}}}}}},"organization_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Organization"]}}}}}}}},"organization_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Organization"]}}}}}}}},"person_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Person"]}}}}}}}},"person_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Person"]}}}}}}}},"registration_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Registration"]}}}}}}}},"registration_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Registration"]}}}}}}}},"selectiontype_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["SelectionType"]}}}}}}}},"selectiontype_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["SelectionType"]}}}}}}}},"signup_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Signup"]}}}}}}}},"signup_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Signup"]}}}}}}}},"signuplocation_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["SignupLocation"]}}}}}}}},"signuplocation_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["SignupLocation"]}}}}}}}},"signuptime_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["SignupTime"]}}}}}}}},"signuptime_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["SignupTime"]}}}}}}}}},"responses":{"400_read":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/MissingParameterError"},{"$ref":"#/components/schemas/RangeError"},{"$ref":"#/components/schemas/UnknownAttributeError"}]}}}},"400_modify":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ParseJsonError"},{"$ref":"#/components/schemas/ParsePayloadError"},{"$ref":"#/components/schemas/MissingParameterError"},{"$ref":"#/components/schemas/SaveFailedError"},{"$ref":"#/components/schemas/UnknownAttributeError"},{"$ref":"#/components/schemas/UnknownAttributeError"}]}}}},"400_destroy":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DeleteRestrictionError"},{"$ref":"#/components/schemas/MissingParameterError"},{"$ref":"#/components/schemas/UnknownAttributeError"}]}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/MissingParameterError"},{"$ref":"#/components/schemas/UnknownAttributeError"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotUniqueError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/AttributeNotFoundError"},{"$ref":"#/components/schemas/ForbiddenAttributeError"},{"$ref":"#/components/schemas/InvalidPayloadError"},{"$ref":"#/components/schemas/ValidationError"}]}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}},"schemas":{"attendee_attributes":{"type":"object","description":"An `Attendee` is a person registered for a signup.\n","properties":{"active":{"description":"Whether or not the attendee is active.\n","type":"boolean"},"canceled":{"description":"Whether or not the attendee is canceled.\n","type":"boolean"},"complete":{"description":"Whether or not attendee has completed all necessary items (personal information, questions, forms, add ons).\n\n\nOnly available when requested with the `?fields` param","type":"boolean"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"waitlisted":{"description":"Whether or not the attendee is waitlisted.\n","type":"boolean"},"waitlisted_at":{"description":"UTC time at which the attendee was waitlisted.\n","type":"string","format":"date-time"}},"title":"Attendee"},"campus_attributes":{"type":"object","description":"A `Campus` is a location belonging to an Organization.\n","properties":{"city":{"description":"City where the campus is located.\n","type":"string"},"country":{"description":"Country where the campus is located.\n","type":"string"},"created_at":{"type":"string","format":"date-time"},"full_formatted_address":{"type":"string"},"name":{"description":"Name of the campus.\n","type":"string"},"state":{"description":"State or province where the campus is located.\n","type":"string"},"street":{"description":"Street address of the campus.\n","type":"string"},"updated_at":{"type":"string","format":"date-time"},"zip":{"description":"Zip code of the campus.\n","type":"string"}},"title":"Campus"},"category_attributes":{"type":"object","description":"A `Category` is a label used to group together and find signups more easily.\n","properties":{"created_at":{"type":"string","format":"date-time"},"name":{"description":"Name of the category.\n","type":"string"},"updated_at":{"type":"string","format":"date-time"}},"title":"Category"},"emergencycontact_attributes":{"type":"object","description":"`Emergency_Contact` is the person assigned as the emergency contact for an attendee.\n","properties":{"name":{"type":"string"},"phone_number":{"description":"Phone number of the emergency contact person.\n","type":"string"}},"title":"EmergencyContact"},"organization_attributes":{"type":"object","description":"The root level `Organization` record which serves as a link to `Signup`s.\n","properties":{"created_at":{"type":"string","format":"date-time"},"name":{"description":"Name of the Organization.\n","type":"string"},"updated_at":{"type":"string","format":"date-time"}},"title":"Organization"},"person_attributes":{"type":"object","properties":{"first_name":{"type":"string"},"last_name":{"type":"string"},"name":{"type":"string"}},"title":"Person"},"registration_attributes":{"type":"object","properties":{"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"title":"Registration"},"selectiontype_attributes":{"type":"object","description":"`Selection_Types` are used to present the options people register for in a signup.\n","properties":{"created_at":{"type":"string","format":"date-time"},"name":{"description":"Name of the selection type.\n","type":"string"},"price_cents":{"description":"Price of selection type in cents.\n","type":"integer"},"price_currency":{"description":"Signup currency code, example `\"USD\"`.\n\n\nOnly available when requested with the `?fields` param","type":"string"},"price_currency_symbol":{"description":"Signup currency symbol, example `\"$\"`.\n\n\nOnly available when requested with the `?fields` param","type":"string"},"price_formatted":{"description":"Price of selection type with currency formatting (symbol not included).\n\n\nOnly available when requested with the `?fields` param","type":"string"},"publicly_available":{"description":"Whether or not the selection type is available to the public.\n","type":"boolean"},"updated_at":{"type":"string","format":"date-time"}},"title":"SelectionType"},"signup_attributes":{"type":"object","description":"A `Signup` is an organization signup that people can register for.\n","properties":{"archived":{"description":"Whether the signup is archived or not.\n","type":"boolean"},"close_at":{"description":"UTC time at which regsitration closes.\n","type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"description":{"description":"Decription of the signup.\n","type":"string"},"logo_url":{"description":"URL for the image used for the signup.\n","type":"string"},"name":{"description":"Name of the signup.\n","type":"string"},"new_registration_url":{"description":"URL to allow people to register for signup.\n","type":"string"},"open_at":{"description":"UTC time at which regsitration opens.\n","type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"title":"Signup"},"signuplocation_attributes":{"type":"object","description":"`Signup_location` is the location of a signup.\n","properties":{"address_data":{"description":"The address data of the signup location, which includes details like street, city, state, and postal code.\n\n\nOnly available when requested with the `?fields` param","type":"string"},"created_at":{"type":"string","format":"date-time"},"formatted_address":{"description":"The formatted address of the signup location, which may not include subpremise details.\n","type":"string"},"full_formatted_address":{"description":"The fully formatted address of the signup location, including subpremise details.\n","type":"string"},"latitude":{"description":"The latitude of the signup location.\n","type":"string"},"location_type":{"description":"The type of location, such as `address`, `coords`, or `online`.\n","type":"string"},"longitude":{"description":"The longitude of the signup location.\n","type":"string"},"name":{"description":"The name of the signup location.\n","type":"string"},"subpremise":{"description":"The subpremise of the signup location, such as an building or room number.\n","type":"string"},"updated_at":{"type":"string","format":"date-time"},"url":{"description":"The URL for the signup location, if applicable (e.g., for online events).\n","type":"string"}},"title":"SignupLocation"},"signuptime_attributes":{"type":"object","description":"`Signup_time`s are associated with a signup, which can have multiple signup times.\n","properties":{"all_day":{"description":"Whether or not the signup time is all day.\n","type":"boolean"},"created_at":{"type":"string","format":"date-time"},"ends_at":{"description":"End date and time of signup time.\n","type":"string","format":"date-time"},"starts_at":{"description":"Start date and time of signup time.\n","type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"title":"SignupTime"},"attendee_relationships_and_includes_enum":{"type":"string","enum":["emergency_contact","person","registration","selection_type"]},"registration_relationships_and_includes_enum":{"type":"string","enum":["created_by","registrant_contact"]},"signup_relationships_and_includes_enum":{"type":"string","enum":["campuses","categories","next_signup_time","signup_location","signup_times"]},"attendee_renderable_attributes_enum":{"type":"string","enum":["active","canceled","complete","created_at","updated_at","waitlisted","waitlisted_at"]},"campus_renderable_attributes_enum":{"type":"string","enum":["city","country","created_at","full_formatted_address","name","state","street","updated_at","zip"]},"category_renderable_attributes_enum":{"type":"string","enum":["created_at","name","updated_at"]},"emergencycontact_renderable_attributes_enum":{"type":"string","enum":["name","phone_number"]},"organization_renderable_attributes_enum":{"type":"string","enum":["created_at","name","updated_at"]},"person_renderable_attributes_enum":{"type":"string","enum":["first_name","last_name","name"]},"registration_renderable_attributes_enum":{"type":"string","enum":["created_at","updated_at"]},"selectiontype_renderable_attributes_enum":{"type":"string","enum":["created_at","name","price_cents","price_currency","price_currency_symbol","price_formatted","publicly_available","updated_at"]},"signup_renderable_attributes_enum":{"type":"string","enum":["archived","close_at","created_at","description","logo_url","name","new_registration_url","open_at","updated_at"]},"signuplocation_renderable_attributes_enum":{"type":"string","enum":["address_data","created_at","formatted_address","full_formatted_address","latitude","location_type","longitude","name","subpremise","updated_at","url"]},"signuptime_renderable_attributes_enum":{"type":"string","enum":["all_day","created_at","ends_at","starts_at","updated_at"]},"attendee_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Attendee"]},"attributes":{"$ref":"#/components/schemas/attendee_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"},"emergency_contact":{"type":"string"},"person":{"type":"string"},"registration":{"type":"string"},"selection_type":{"type":"string"}}}}},"campus_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Campus"]},"attributes":{"$ref":"#/components/schemas/campus_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"}}}}},"category_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Category"]},"attributes":{"$ref":"#/components/schemas/category_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"}}}}},"emergencycontact_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["EmergencyContact"]},"attributes":{"$ref":"#/components/schemas/emergencycontact_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"}}}}},"organization_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]},"attributes":{"$ref":"#/components/schemas/organization_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"},"campuses":{"type":"string"},"categories":{"type":"string"},"signups":{"type":"string"}}}}},"person_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Person"]},"attributes":{"$ref":"#/components/schemas/person_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"}}}}},"registration_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Registration"]},"attributes":{"$ref":"#/components/schemas/registration_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"},"created_by":{"type":"string"},"registrant_contact":{"type":"string"}}}}},"selectiontype_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["SelectionType"]},"attributes":{"$ref":"#/components/schemas/selectiontype_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"}}}}},"signup_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]},"attributes":{"$ref":"#/components/schemas/signup_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"},"attendees":{"type":"string"},"campuses":{"type":"string"},"categories":{"type":"string"},"next_signup_time":{"type":"string"},"registrations":{"type":"string"},"selection_types":{"type":"string"},"signup_location":{"type":"string"},"signup_times":{"type":"string"}}}}},"signuplocation_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["SignupLocation"]},"attributes":{"$ref":"#/components/schemas/signuplocation_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"}}}}},"signuptime_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["SignupTime"]},"attributes":{"$ref":"#/components/schemas/signuptime_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"}}}}},"attendee_emergency_contact_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/emergencycontact_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Attendee"]}}}},"additionalProperties":false}}},"attendee_person_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/person_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Attendee"]}}}},"additionalProperties":false}}},"attendee_registration_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/registration_resource"},"included":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/person_resource"}]}},"meta":{"type":"object","properties":{"can_include":{"type":"array","items":{},"enum":[["created_by","registrant_contact"]]},"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Attendee"]}}}},"additionalProperties":false}}},"attendee_selection_type_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/selectiontype_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Attendee"]}}}},"additionalProperties":false}}},"organization_campuses_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/campus_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}}},"additionalProperties":false}}},"organization_categories_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/category_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}}},"additionalProperties":false}}},"organization_signups_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/signup_resource"},"included":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/campus_resource"},{"$ref":"#/components/schemas/category_resource"},{"$ref":"#/components/schemas/signuplocation_resource"},{"$ref":"#/components/schemas/signuptime_resource"}]}},"meta":{"type":"object","properties":{"can_include":{"type":"array","items":{},"enum":[["campuses","categories","next_signup_time","signup_location","signup_times"]]},"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}}},"additionalProperties":false}}},"registration_created_by_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/person_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Registration"]}}}},"additionalProperties":false}}},"registration_registrant_contact_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/person_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Registration"]}}}},"additionalProperties":false}}},"signup_attendees_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/attendee_resource"},"included":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/emergencycontact_resource"},{"$ref":"#/components/schemas/person_resource"},{"$ref":"#/components/schemas/registration_resource"},{"$ref":"#/components/schemas/selectiontype_resource"}]}},"meta":{"type":"object","properties":{"can_include":{"type":"array","items":{},"enum":[["emergency_contact","person","registration","selection_type"]]},"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}}},"additionalProperties":false}}},"signup_campuses_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/campus_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}}},"additionalProperties":false}}},"signup_categories_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/category_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}}},"additionalProperties":false}}},"signup_next_signup_time_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/signuptime_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}}},"additionalProperties":false}}},"signup_registrations_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/registration_resource"},"included":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/person_resource"}]}},"meta":{"type":"object","properties":{"can_include":{"type":"array","items":{},"enum":[["created_by","registrant_contact"]]},"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}}},"additionalProperties":false}}},"signup_selection_types_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/selectiontype_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}}},"additionalProperties":false}}},"signup_signup_location_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/signuplocation_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}}},"additionalProperties":false}}},"signup_signup_times_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/signuptime_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}}},"additionalProperties":false}}},"attendee_emergency_contact_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/emergencycontact_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Attendee"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"attendee_person_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/person_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Attendee"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"attendee_registration_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/registration_resource"}},"included":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/person_resource"}]}},"meta":{"type":"object","properties":{"can_include":{"type":"array","items":{},"enum":[["created_by","registrant_contact"]]},"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Attendee"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"attendee_selection_type_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/selectiontype_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Attendee"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"organization_campuses_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/campus_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"organization_categories_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/category_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"organization_signups_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/signup_resource"}},"included":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/campus_resource"},{"$ref":"#/components/schemas/category_resource"},{"$ref":"#/components/schemas/signuplocation_resource"},{"$ref":"#/components/schemas/signuptime_resource"}]}},"meta":{"type":"object","properties":{"can_include":{"type":"array","items":{},"enum":[["campuses","categories","next_signup_time","signup_location","signup_times"]]},"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}},"can_query_by":{"type":"array","items":{},"enum":[["campuses","categories","id"]]},"can_filter":{"type":"array","items":{},"enum":[["archived","unarchived"]]}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"registration_created_by_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/person_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Registration"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"registration_registrant_contact_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/person_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Registration"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"signup_attendees_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/attendee_resource"}},"included":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/emergencycontact_resource"},{"$ref":"#/components/schemas/person_resource"},{"$ref":"#/components/schemas/registration_resource"},{"$ref":"#/components/schemas/selectiontype_resource"}]}},"meta":{"type":"object","properties":{"can_include":{"type":"array","items":{},"enum":[["emergency_contact","person","registration","selection_type"]]},"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}},"can_filter":{"type":"array","items":{},"enum":[["active","waitlist","canceled"]]}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"signup_campuses_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/campus_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"signup_categories_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/category_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"signup_next_signup_time_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/signuptime_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"signup_registrations_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/registration_resource"}},"included":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/person_resource"}]}},"meta":{"type":"object","properties":{"can_include":{"type":"array","items":{},"enum":[["created_by","registrant_contact"]]},"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"signup_selection_types_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/selectiontype_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}},"can_filter":{"type":"array","items":{},"enum":[["publicly_available"]]}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"signup_signup_location_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/signuplocation_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"signup_signup_times_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/signuptime_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Signup"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer"}}},"next":{"type":"object","properties":{"offset":{"type":"integer"}}},"can_filter":{"type":"array","items":{},"enum":[["future","past"]]}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"AttributeNotFoundError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["422"]},"code":{"type":"string","enum":["attribute_resource_not_found"]},"detail":{"type":"string"},"title":{"type":"string","enum":["Attribute Resource Not Found"]},"source":{"type":"object","properties":{"parameter":{"type":"string"}}}}}}}},"DeleteRestrictionError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["delete_restriction"]},"detail":{"type":"string","enum":["Your request could not be processed"]},"title":{"type":"string","enum":["Bad Request"]}}}}}},"ForbiddenError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["403"]},"detail":{"type":"string","enum":["You do not have access to this resource"]},"title":{"type":"string","enum":["Forbidden"]},"meta":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"ForbiddenAttributeError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["422"]},"detail":{"type":"string"},"title":{"type":"string","enum":["Forbidden Attribute"]}}}}}},"InternalServerError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["500"]},"detail":{"type":"string","enum":["An internal server error occurred on our end and we've been notified.  Please contact support if the issue persists."]},"title":{"type":"string","enum":["Internal Server Error"]}}}}}},"InvalidPayloadError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["422"]},"code":{"type":"string","enum":["invalid_payload"]},"detail":{"type":"string"},"title":{"type":"string","enum":["Invalid Payload"]}}}}}},"MissingParameterError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["missing_parameter"]},"detail":{"type":"string"},"title":{"type":"string","enum":["A required parameter wasn't supplied"]},"meta":{"type":"object","properties":{"param":{"type":"string"}}}}}}}},"NotFoundError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["404"]},"detail":{"type":"string","enum":["The resource you requested could not be found"]},"title":{"type":"string","enum":["Not Found"]}}}}}},"NotUniqueError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["409"]},"detail":{"type":"string","enum":["The record you are trying to create/update already exists"]},"title":{"type":"string","enum":["Duplicate Record"]}}}}}},"ParseJsonError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["invalid_json"]},"detail":{"type":"string","enum":["Your request could not be processed"]},"title":{"type":"string","enum":["Bad Request"]}}}}}},"ParsePayloadError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["invalid_resource_payload"]},"detail":{"type":"string"},"title":{"type":"string","enum":["Bad Request"]}}}}}},"RangeError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["integer_out_of_range"]},"detail":{"type":"string","enum":["Your request could not be processed"]},"title":{"type":"string","enum":["Bad Request"]}}}}}},"SaveFailedError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["invalid_data"]},"detail":{"type":"string","enum":["Your request could not be processed"]},"title":{"type":"string","enum":["Bad Request"]}}}}}},"UnauthorizedError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["401"]}}}}}},"UnknownAttributeError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string"},"detail":{"type":"string"},"title":{"type":"string","enum":["Invalid Version"]}}}}}},"ValidationError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["422"]},"detail":{"type":"string"},"title":{"type":"string","enum":["Validation Error"]},"meta":{"type":"object","properties":{"resource":{"type":"string"},"associated_resources":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string"},"attributes":{"type":"object"},"errors":{"type":"object"}}}}}},"source":{"type":"object","properties":{"parameter":{"type":"string"}}}}}}}}},"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://api.planningcenteronline.com/oauth/authorize","tokenUrl":"https://api.planningcenteronline.com/oauth/token","refreshUrl":"https://api.planningcenteronline.com/oauth/refresh","scopes":{"registrations":"Required scope for accessing via OAuth 2"}}}},"personal_access_token":{"type":"http","scheme":"basic","description":"Provide your Personal Access Token Client ID as the HTTP Basic username\nand your Secret as the HTTP Basic password.\n\nExample header:\nAuthorization: Basic BASE64(client_id:secret)\"\n"}}}}